package com.mortals.xhx.module.system.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.param.service.ParamService;
import com.mortals.xhx.module.system.model.SystemServiceApiEntity;
import com.mortals.xhx.module.system.service.SystemServiceApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* API服务
*
* @author zxfei
* @date 2022-05-25
*/
@RestController
@RequestMapping("system/service/api")
public class SystemServiceApiController extends BaseCRUDJsonBodyMappingController<SystemServiceApiService,SystemServiceApiEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SystemServiceApiController(){
        super.setFormClass(SystemServiceApiForm.class);
        super.setModuleDesc( "API服务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "apiStatus", paramService.getParamBySecondOrganize("SystemServiceApi","apiStatus"));
        super.init(model, context);
    }


}